Discussion What firmware version are you running? Should I upgrade to 6.1.0?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by SaggyBeans, Nov 30, 2018.

?
  1. <=4.1.0

    6.4%
  2. 5.1.0

    27.7%
  3. 6.0.X

    14.9%
  4. 6.1.0

    38.3%
  5. 6.2.0

    12.8%
  1. SaggyBeans
    OP

    SaggyBeans GBAtemp Regular

    Member
    3
    Jul 8, 2014
    Canada
    Hello Everyone!

    So I have a switch running 5.1.0. When I purchased it had 4.1.0 but I updated to 5.1.0 before running SX OS (or any other modification) so I did so through the official Nintendo servers at the time (burnt my 6th fuse). Once I got SX OS I’ve kept it in airplane mode and stayed on 5.1.0. My question is should I stay on 5.1.0 or is there any reason to update to 6.1.0? I would do it offline via ChoiDujourNX to avoid burning e-fuses but I don’t know if there is a benefit? Also, is there a benefit in running EmuNand for someone like me that doesn’t play online? Would it be safer to keep my sysNAND on 5.1.0 and run 6.1.0 on emuNAND? So far I’ve been able to play any game (including the newest titles) without any issues.. I guess I’m curious why people would update to 6.x.x (online play?). Thanks for your time, any information would be highly appreciated.
     
  2. Elf

    Elf Newbie

    Newcomer
    1
    Nov 29, 2018
    United States
    It doesn't really matter as long as you have tinfoil to play games in any firmware. I personally wouldn't update to 6.2.0 until most cfws support it, I'm pretty sure only atmosphere works on 6.2.0 rn
     
    SaggyBeans likes this.
  3. dyerseve

    dyerseve Advanced Member

    Newcomer
    2
    Oct 11, 2013
    United States
    Someone correct me if I'm wrong but I got the impression that all the CFW is based on atmosphere sysmodules and other components, so the choice of CFW is fairly immaterial. You'll notice every CFW has an atmosphere folder (unless it was renamed in the forked code) but most of them credit SciresM for getting the groundwork laid. I suspect it won't be long before the other guys adopt the code that allows 6.2.0 to work, but if you're running the switch banned or self-banned, I don't see any point in upgrading past 5.1.0 is there really anything useful added to 6 and later? Tinfoil can patch the FW version restrictions and to the best of my knowledge there aren't any actual "things" added to 6+ that would make upgrading necessary.
     
    SaggyBeans likes this.
  4. Disco Inferno

    Disco Inferno GBAtemp Regular

    Member
    3
    Feb 25, 2016
    United States
    Main Switch on stock 6.2.0 and 2nd Switch for tinkering currently on 6.0.X.
     
    SaggyBeans likes this.
  5. Kubas_inko

    Kubas_inko "Something funny goes here."

    Member
    12
    Feb 3, 2017
    Czech Republic
    I gues on earth.
    All CFWs are based on Atmo, but Atmo does not have sigpatches by default.
    6.0.0 has new master key, so games which requier it won't work on lower FWs. That's something tinfoil can't fix.
     
    SaggyBeans likes this.
  6. dyerseve

    dyerseve Advanced Member

    Newcomer
    2
    Oct 11, 2013
    United States
    Got it, I've been reading that no base games are requiring 6.0 but it's only a matter of time. I read somewhere that Starlink latest update requires 6.0 firmware so it's probably happening sooner than later. I guess the best FW to be on at this time would be 6.1 time to start researching the update process.
     
    SaggyBeans likes this.
  7. thorasgar

    thorasgar Checkout my evil Soon-in-ator™

    Member
    10
    Jul 3, 2010
    United States
    I am still on 5.1 but know I will have to upgrade at some point soon if I want to install updates. You know SSBU will have an update fairly quickly that will require 6.x.

    Is there any benefit to using ChoiDujourNX and not burning fuses? Maybe but it I figure having options is always better than closing doors. Don’t see any negatives as long as you trust AutoRCM, as I do. The less jig usage the better.

    I take the don’t fix what’s not broke route to updates.
     
    SaggyBeans likes this.
  8. TheProxyOne

    TheProxyOne Member

    Newcomer
    1
    Nov 16, 2016
    Netherlands
    As long as you update with chominjour dojour ;) with autoRCM enabled, you can switch firmwares back and forth, personally I'm on 6.1 Kosmos Atmosfere 0.7.5 and (with fuses count for 4.0.1) and going to experiment soon with 6.2 just for fun
     
    SaggyBeans likes this.
  9. Connorsdad

    Connorsdad GBAtemp Regular

    Member
    4
    Feb 9, 2017
    I updated from 5.1.0 to 6.1.0 just the other day, got sick of games giving me the update message. ChoiDujourNX was painlessly easy to use, great app, updated with AutoRCM enabled and fuses intact in under 10 minutes :)
     
    SaggyBeans likes this.
  10. SaggyBeans
    OP

    SaggyBeans GBAtemp Regular

    Member
    3
    Jul 8, 2014
    Canada
    Thanks for the info all!! I also take the “don’t fix it if it aint broke” mentality so I’ve been sticking to 5.1.0. I made a full rawnand and boot 1/0 backup so I may eventually use choiDujourNX as well to update to 6.1.0 once games start bugging me about it but so far I haven’t run into that issue myself yet. TX is also working on 6.2.0 support so if they support it then I may try 6.2.0 instead! Anyway thanks for your advice on the matter, nice to know what firmware the community is running! Have a great weekend all.
     
  11. g00s3y

    g00s3y Asshole

    Member
    7
    Aug 6, 2008
    United States
    FL
    6.2.0 on mine and my son's switch, and 1.0.0 on the switch I still have sitting in a case that I probably will end up doing nothing with.
     
    SaggyBeans likes this.
  12. ldeveraux

    ldeveraux GBAtemp Regular

    Member
    5
    Jan 4, 2007
    United States
    I'm on 5.1.0 SXOS and got shop banned a while ago by updating. I finally found R-Type Dimensions wouldn't work without updating, so I just installed it with Tinfoil. I'm in the same boat I guess; sticking there until I absolutely have to. What was the deal with updating to 6.0.0 with the store account not being able to be removed or something? Is that still a thing to worry about?
     
  13. smf

    smf GBAtemp Addict

    Member
    8
    Feb 23, 2009
    But they are easily added. There is no point in anything other than atmosphere at the moment (unless you use SX for XCI loading, we can only hope a free alternative is created sometime)

    I am running 6.2 right now, but I have a few firmware versions on my sdcard that I could install if I want.
     
    Last edited by smf, Nov 30, 2018
  14. SaggyBeans
    OP

    SaggyBeans GBAtemp Regular

    Member
    3
    Jul 8, 2014
    Canada
    So I decided to take the hit and updated to 6.1.0. The update went quite smoothly, it did ask me to update my controller firmware which I accepted as I’m not using a modified joycon (using AutoRCM). I did however notice that devmenu is no longer compatible so an updated version is necessary to work. Another thing I noticed is Overcooked 2 now gives me a popup saying “Unplayable downloadable content found” and it either asks for me to check online (hell no) or to start software which seems to work 100%... wonder what it is about the newer firmware that is causing this popup. Haven’t noticed anything else, everything is working well.
     
Loading...